### R code from vignette source 'MMG.Rnw'

###################################################
### code chunk number 1: MMG.Rnw:97-98
###################################################
library("MMG")


###################################################
### code chunk number 2: MMG.Rnw:116-117
###################################################
r <- MMG.compute(file.name="hexag.dat", steps=100000, alpha=0.1)


###################################################
### code chunk number 3: MMG.Rnw:124-125
###################################################
s <- MMG.cut.graph(r, select="UP")


###################################################
### code chunk number 4: MMG.Rnw:132-133
###################################################
s$components


###################################################
### code chunk number 5: MMG.Rnw:143-145
###################################################
MMG.make.dot(r, file.name="test1.dot", selection=c(1, 5, 6))
MMG.make.dot(r, file.name="test2.dot", selection=1:6)


###################################################
### code chunk number 6: MMG.Rnw:163-166
###################################################
r <- MMG.compute(file.name="hexag.dat", data="new.dat", steps=100000, alpha=0.1)
s <- MMG.cut.graph(r, select="UP")
s$components


###################################################
### code chunk number 7: MMG.Rnw:181-204
###################################################
# Load the package
library("MMG")

# Run the Gibbs sampler
r <- MMG.compute(file.name = "R_net.dat",
                 steps = 50000, burn.in = 1000,
                 sigma = 0.3, alpha = 1)

# n = node number?
n <- r$dat$n.nodes; n

# Cut the graph
s <- MMG.cut.graph(r, descriptions = "R_descr.dat",
                   method = "THRESHOLD",
                   threshold = 0.25, select = "UP")

# Get the indices of the nodes that are up-regulated
l <- (1:n)[s$components != 0]; l

# Produce a DOT file
MMG.make.dot(r, file.name = "nostoc.dot",
             selection = l, type = "UNDIRECTED",
             rem.loops = TRUE)


